//Toto je dementní selftest, kde půlka esenciálních informací chybí

#include "LedControl.h"

//Konfigurace segmentů, protože jsem slepej dement.
const int s1 = 0;
const int s2 = 1;
const int s3 = 3;
const int s4 = 4;
const int s5 = 5;
const int s6 = 2;
const int s7 = 6;
const int s8 = 7;

 //Inicializace SPI
LedControl lc=LedControl(11, 13, 9 ,1);

unsigned long delaytime=250;
byte alldigits= B11111111;
byte A = B01110111;
byte C = B01001110;
byte b = B00011111;
byte d = B00111101;
byte E = B01001111;
byte F = B01000111;
byte G = B01011111;
byte H = B00110111;
byte I = B00110000;
byte J = B00111100;
byte L = B00001110;
byte n = B00010101;
byte O = B01111110;
byte P = B01100111;
byte r = B00000101;
byte S = B01011011;
byte t = B00001111;
byte U = B00111110;
byte v = B00011100;
byte y = B00110011;
byte Z = B01101011;


void setup() {
  lc.shutdown(0,false);   //Vzbuzení ICčka
  lc.setIntensity(0,8);   //Nastavení svítivosti 8 (rozsah 0 - 15)
  lc.clearDisplay(0);     //Vyčištění displeje
}

/*  B00000001 G
    B00000010 F
    B00000100 E
    B00001000 D
    B00010000 C
    B00100000 B
    B01000000 A
    B10000000 DP
    
    -----A-----
    I         I
    F         B
    I         I
    -----G----- 
    I         I
    E         C
    I         I
    -----D-----
                DP
  B01001111
    */

void scrollDigits() {
  //(nevim, dej tam nulu; segment; hexadecimální číslo, který to má zobrazit; false);
  lc.setDigit(0,s1,6,false);
  lc.setDigit(0,s2,9,false);

  lc.setDigit(0,s3,4,false);
  lc.setDigit(0,s4,2,false);
  lc.setDigit(0,s5,0,false);

  lc.setDigit(0,s6,4,false);
  lc.setDigit(0,s7,2,false);
  lc.setDigit(0,s8,0,false);
  
  delay(500);
  lc.clearDisplay(0);
  delay(delaytime);
}

void displayAllDigits() {
  lc.setRow(0, s1, alldigits);
  lc.setRow(0, s2, alldigits);
  lc.setRow(0, s3, alldigits);
  lc.setRow(0, s4, alldigits);
  lc.setRow(0, s5, alldigits);
  lc.setRow(0, s6, alldigits);
  lc.setRow(0, s7, alldigits);
  lc.setRow(0, s8, alldigits);

  delay(500);
  lc.clearDisplay(0);
  delay(delaytime);
}


void loop() { 
  scrollDigits();
  displayAllDigits();
}
